# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add cc field to email templates

Revision ID: 2fda11893c00
Revises: edf1dd4da767
Create Date: 2022-11-02 16:14:24.821010

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2fda11893c00'
down_revision = 'edf1dd4da767'
branch_labels = None
depends_on = None


old_destination = """To: {{destination_email}}"""

new_destination = """To: {{destination_email}}
{{#cc_email}}Cc: {{cc_email}}{{/cc_email}}"""

old_user = """To: {{user_email}}"""

new_user = """To: {{user_email}}
{{#cc_email}}Cc: {{cc_email}}{{/cc_email}}"""

old_submitted = """Dear User"""

new_submitted = """To: {{destination_email}}
{{#cc_email}}Cc: {{cc_email}}{{/cc_email}}


Dear User"""

def upgrade():
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_destination}', E'{new_destination}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_user}', E'{new_user}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_submitted}', E'{new_submitted}')
        WHERE name = 'workflow-submitted'
    """)

def downgrade():
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_destination}', E'{old_destination}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_user}', E'{old_user}')
    """)
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_submitted}', E'{old_submitted}')
        WHERE name = 'workflow-submitted'
    """)
